$(document).ready(
  function ()
  {
    $('#close').mousedown(
      function (e)
      {
        if (e.button == 1)
        {
          $('#minimize-hover').stop(false, true).hide();
          $('#close-hover').stop(false, true).show();
          $('#minimize-pressed').stop(false, true).hide();
          $('#close-pressed').stop(false, true).show();
        }
      }
    );
  
    $('#close').click(
      function ()
      {
        call('#header:close');
      }
    );
    
    $('#close').mouseenter(
      function ()
      {
        $('#minimize-hover').stop(false, true).fadeOut(150);
        $('#close-hover').stop(false, true).fadeIn(150);
        $('#minimize-pressed').stop(false, true).hide();
        $('#close-pressed').stop(false, true).hide();
      }
    );
  
    $('#close').mouseleave(
      function ()
      {
        $('#minimize-hover').stop(false, true).fadeOut(150);
        $('#close-hover').stop(false, true).fadeOut(150);
        $('#minimize-pressed').stop(false, true).hide();
        $('#close-pressed').stop(false, true).hide();
      }
    );
  
    $('#minimize').mousedown(
      function (e)
      {
        if (e.button == 1)
        {
          $('#minimize-hover').stop(false, true).show();
          $('#close-hover').stop(false, true).hide();
          $('#minimize-pressed').stop(false, true).show();
          $('#close-pressed').stop(false, true).hide();
        }
      }
    );
  
    $('#minimize').click(
      function ()
      {
        call('#header:minimize');
      }
    );

    $('#minimize').mouseenter(
      function ()
      {
        $('#minimize-hover').stop(false, true).fadeIn(150);
        $('#close-hover').stop(false, true).fadeOut(150);
        $('#minimize-pressed').stop(false, true).hide();
        $('#close-pressed').stop(false, true).hide();
      }
    );
  
    $('#minimize').mouseleave(
      function ()
      {
        $('#minimize-hover').stop(false, true).fadeOut(150);
        $('#close-hover').stop(false, true).fadeOut(150);
        $('#minimize-pressed').stop(false, true).hide();
        $('#close-pressed').stop(false, true).hide();
      }
    );
  }
);
